const int SWITCH_ON 1
const int SWITCH_OFF 0

byte received_data[4];
int  switch_pos;


void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  Serial.println("ready");
  pinMode(LED_BUILTIN,OUTPUT);
  digitalWrite(LED_BUILTIN, LOW);
}

void loop() {
  // put your main code here, to run repeatedly:
  int i;
  while (Serial.available() > 0) {
      switch_control();
  }
  
}

void switch_control() {
    int size = Serial.readBytesUntil('\n', received_data, 4);
    // First Byte has the switch position data 
    switch_pos = received_data[0];
    Serial.print("SWITCH:");
    if (switch_pos == SWITCH_ON) {
      Serial.println("ON");
      digitalWrite(LED_BUILTIN, HIGH);
    } else if (switch_pos == SWITCH_OFF) {
      Serial.println("OFF");
      digitalWrite(LED_BUILTIN, LOW);
    }
}
